



#define PORT_UART_OUT     PORTD           // RS485 PIN
#define DDR_UART_OUT      DDRD
#define PIN_UART_OUT      PD2



//AUSGNGE PORTD


#define K1LED_BIT	     5	      //Pin number for K1LED
#define K1LED_PORT 	     PORTD     //Port where K1LED is located
#define K1LED_DDR 	     DDRD      //Port direction register where K1LED is located

#define K2LED_BIT	     6	      //Pin number for K2LED
#define K2LED_PORT 	     PORTD     //Port where K2LED is located
#define K2LED_DDR 	     DDRD      //Port direction register where K2LED is located


//AUSGNGE PORTC
#define TRIAC2_BIT	     2	      //Pin number for TRIAC1
#define TRIAC2_PORT 	 PORTC     //Port where TRIAC1 is located
#define TRIAC2_DDR 	     DDRC      //Port direction register where TRIAC1 is located

#define TRIAC1_BIT	     3	      //Pin number for TRIAC2
#define TRIAC1_PORT 	 PORTC     //Port where TRIAC2 is located
#define TRIAC1_DDR 	     DDRC      //Port direction register where TRIAC2 is located

#define SYnc_LED_BIT	 4	      //Pin number for SYnc_LED
#define SYnc_LED_PORT 	 PORTC     //Port where SYnc_LED is located
#define SYnc_LED_DDR 	 DDRC      //Port direction register where SYnc_LED is located

#define ERROR_LED_BIT	 5	      //Pin number for ERROR_LED
#define ERROR_LED_PORT 	 PORTC     //Port where ERROR_LED is located
#define ERROR_LED_DDR 	 DDRC      //Port direction register where ERROR_LED is located



#define K1LED_ON() 	    sbi(K1LED_PORT,K1LED_BIT);
#define K1LED_OFF() 	cbi(K1LED_PORT,K1LED_BIT);

#define K2LED_ON() 	    sbi(K2LED_PORT,K2LED_BIT);
#define K2LED_OFF() 	cbi(K2LED_PORT,K2LED_BIT);

#define TRIAC1_ON() 	sbi(TRIAC1_PORT,TRIAC1_BIT);
#define TRIAC1_OFF() 	cbi(TRIAC1_PORT,TRIAC1_BIT);

#define TRIAC2_ON() 	sbi(TRIAC2_PORT,TRIAC2_BIT);
#define TRIAC2_OFF() 	cbi(TRIAC2_PORT,TRIAC2_BIT);

#define SYnc_LED_ON() 	sbi(SYnc_LED_PORT,SYnc_LED_BIT);
#define SYnc_LED_OFF() 	cbi(SYnc_LED_PORT,SYnc_LED_BIT);

#define ERROR_LED_ON() 	sbi(ERROR_LED_PORT,ERROR_LED_BIT);
#define ERROR_LED_OFF() cbi(ERROR_LED_PORT,ERROR_LED_BIT);


 

//#define TASTE1    PORTB_1 
//#define TASTE2    PORTB_2 
//#define TASTE3    PORTB_3 
//#define TASTE4    PORTB_4 


//#define RF_io_PORT	PORTC
//#define RF_io_DDR	DDRC
//#define RF_io_PIN	PINC

//#define RF_cl_PORT	PORTD
//#define RF_cl_DDR	DDRD
//#define RF_cl_PIN	PIND



#define SDI		0
#define SCK		4
#define CS		7
#define SDO		1

 


#define Komand_channel_1      1
#define Komand_channel_2      2
#define Komand_channel_3      3        //Abfrage der Aktuellen Dimm-Daten
#define DATA_READ             4        //DS1820 Abfrage




#define DATA_READ_DS1820   0xA3


extern   char rxbuf[32+1];		// Puffer fr empfangene Daten
extern   char txbuf[32+1];		// Puffer fr zu sendende Daten
//DS18S20

extern  uint8_t  id[9];					    // fr den ROM-Adressen und Scratchboard
extern  char msg[30];	
extern uint8_t  sensor_cnt;					// Anzahl der erfolgreich angelernten Sensoren
extern uint8_t sens;
//DS18S20

#define EEPROM_SIZE 			512

#define DS18S20				    0x10		   // Family-Code fr DS18s20

#define TRUE 					1
#define FALSE 					0




#define ADR_AUTOSTART		3					// Adresse fr das Autostart-Byte im EEPROM
#define ADR_MESSINTERVALL	5					// Adresse des Messintervalls im EEPROM (fr int16 !!)
#define MESSINTERVALL		5					// Lnge des Messintervalls als Vorgabe in Sekunden







